package de.ivu.elect.presentation.wahlvorschlagsperson.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.wahlvorschlag.menu.WahlvorschlagPageMenu;

public class WahlvorschlagsPersonImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLVORSCHLAGS_PERSON_IMPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return WahlvorschlagPageMenu.COMPONENT_NAME;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.WAHLVORSCHLAGS_PERSON_IMPORT;
  }

  @Override
  public String getImportSearchViewId() {
    return WahlvorschlagsPersonImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return WahlvorschlagsPersonImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return WahlvorschlagsPersonImportBestaetigenView.VIEW_ID;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_UNVERAENDERT_LASSEN;
  }
}
